WIPE(1)

NAME
wipe - Shutdown LAM.

SYNTAX
wipe [-bdhv] [-n <#>] [<bhost>]

OPTIONS

-b  Assume local and remote shell are the same. This means that only one remote shell invocation is used to each node. If -b is not used, two remote shell invocations are used to each node.

-d  Turn on debugging mode. This implies -v.

-h  Print the command help menu.

-v  Be verbose.

-n <#>
    Wipe only the first <#> nodes.

DESCRIPTION
This command has been deprecated in favor of the lamhalt command. wipe should only be necessary if lamhalt fails and is unable to clean up the LAM run-time environment properly. The wipe tool terminates the LAM software on each of the machines specified in the boot schema, <bhost>. wipe is the topology tool that terminates LAM on the UNIX(tm) nodes of a multicomputer system. It invokes tkill(1) on each machine. See tkill(1) for a description of how LAM is terminated on each node.

The <bhost> file is a LAM boot schema written in the host file syntax. CPU counts in the boot schema are ignored by wipe. See bhost(5). Instead of the command line, a boot schema can be specified in the LAMBHOST environment variable. Otherwise a default file, bhost.def, is used. LAM searches for <bhost> first in the local directory and then in the installation directory under etc/.

wipe does not quit if a particular remote node cannot be reached or if tkill(1) fails on any node. A message is printed if either of these failures occur, in which case the user should investigate the cause of failure and, if necessary, terminate LAM by manually executing tkill(1) on the problem node(s). In extreme cases, the user may have to terminate individual LAM processes with kill(1).

wipe will terminate after a limited number of nodes if the -n option is given. This is mainly intended for use by lamboot(1), which invokes wipe when a boot does not successfully complete.

EXAMPLES

wipe -v mynodes
    Shutdown LAM on the machines described in the boot schema, mynodes. Report about important steps as they are done.

FILES

$LAMHOME/etc/lam-bhost.def
    default boot schema file

SEE ALSO
recon(1), lamboot(1), tkill(1), bhost(5), lam-helpfile(5)